Bug 171781 - Update of net/freeswitch-devel
Summary: Update of net/freeswitch-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Florian Smeets
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-19 14:50 UTC by RIchard Neese
Modified: 2012-09-22 00:30 UTC (History)
0 users

See Also:


Attachments
freesitch-devel.diff (287 bytes, patch)
2012-09-19 14:52 UTC, RIchard Neese
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description RIchard Neese 2012-09-19 14:50:07 UTC
version update
Comment 1 RIchard Neese 2012-09-19 14:52:13 UTC
On 9/19/2012 9:50 AM, FreeBSD-gnats-submit@FreeBSD.org wrote:
> Thank you very much for your problem report.
> It has the internal identification `misc/171781'.
> The individual assigned to look at your
> report is: freebsd-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=171781
>
>> Category:       misc
>> Responsible:    freebsd-bugs
>> Synopsis:       Update of net/freeswitch-devel
>> Arrival-Date:   Wed Sep 19 13:50:07 UTC 2012
Comment 2 Glen Barber freebsd_committer 2012-09-19 15:08:40 UTC
Class Changed
From-To: sw-bug->maintainer-update

Submitter is maintainer. 



Comment 3 Glen Barber freebsd_committer 2012-09-19 15:08:40 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

Ports PR.
Comment 4 Florian Smeets freebsd_committer 2012-09-19 15:46:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flo

I'll take it.
Comment 5 dfilter service freebsd_committer 2012-09-20 22:09:52 UTC
Author: flo
Date: Thu Sep 20 21:09:41 2012
New Revision: 304599
URL: http://svn.freebsd.org/changeset/ports/304599

Log:
  Update to 1.2.3
  
  PR:		ports/171780
  PR:		ports/171781
  PR:		ports/171782
  PR:		ports/171783
  Submitted by:	Richard Neese <r.neese@gmail.com> (maintainer)

Added:
  head/net/freeswitch-core-devel/files/patch-libs-spandsp-configure.ac   (contents, props changed)
Modified:
  head/misc/freeswitch-pizzademo-devel/Makefile   (contents, props changed)
  head/misc/freeswitch-pizzademo-devel/distinfo   (contents, props changed)
  head/misc/freeswitch-scripts-devel/Makefile
  head/misc/freeswitch-scripts-devel/distinfo   (contents, props changed)
  head/net/freeswitch-core-devel/Makefile
  head/net/freeswitch-core-devel/distinfo   (contents, props changed)
  head/net/freeswitch-core-devel/pkg-plist   (contents, props changed)
  head/net/freeswitch-vanilla-devel/Makefile
  head/net/freeswitch-vanilla-devel/distinfo   (contents, props changed)

Modified: head/misc/freeswitch-pizzademo-devel/Makefile
==============================================================================
--- head/misc/freeswitch-pizzademo-devel/Makefile	Thu Sep 20 20:43:09 2012	(r304598)
+++ head/misc/freeswitch-pizzademo-devel/Makefile	Thu Sep 20 21:09:41 2012	(r304599)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	freeswitch
-DISTVERSION=	1.2.1
+DISTVERSION=	1.2.3
 CATEGORIES=	misc
 MASTER_SITES=	http://files.freeswitch.org/
 PKGNAMESUFFIX=	-pizzademo-devel

Modified: head/misc/freeswitch-pizzademo-devel/distinfo
==============================================================================
--- head/misc/freeswitch-pizzademo-devel/distinfo	Thu Sep 20 20:43:09 2012	(r304598)
+++ head/misc/freeswitch-pizzademo-devel/distinfo	Thu Sep 20 21:09:41 2012	(r304599)
@@ -1,5 +1,5 @@
-SHA256 (freeswitch/freeswitch-1.2.1.tar.bz2) = 655fda7e37cae1c5ca1f7d789efcf008592904adc6eb9cdee72fc4bdc364c788
-SIZE (freeswitch/freeswitch-1.2.1.tar.bz2) = 37890105
+SHA256 (freeswitch/freeswitch-1.2.3.tar.bz2) = 13bc3fd76b6dbcccb5647ddd674cbd9b5273d397952a14ae37d9b0725cb1db4d
+SIZE (freeswitch/freeswitch-1.2.3.tar.bz2) = 41821905
 SHA256 (freeswitch/pizza_gram.tar.gz) = e713406834ba40fe07c69b84f042fcb27493c15bc6b51133418527bc7a818027
 SIZE (freeswitch/pizza_gram.tar.gz) = 1053
 SHA256 (freeswitch/pizza_sounds.tar.gz) = 606f736625b7f331e219e10460029c8e0b0e58136feeddde976a0dcc68a97bef

Modified: head/misc/freeswitch-scripts-devel/Makefile
==============================================================================
--- head/misc/freeswitch-scripts-devel/Makefile	Thu Sep 20 20:43:09 2012	(r304598)
+++ head/misc/freeswitch-scripts-devel/Makefile	Thu Sep 20 21:09:41 2012	(r304599)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	freeswitch
-DISTVERSION=	1.2.1
+DISTVERSION=	1.2.3
 CATEGORIES=	misc
 MASTER_SITES=	http://files.freeswitch.org/
 PKGNAMESUFFIX=	-scripts-devel

Modified: head/misc/freeswitch-scripts-devel/distinfo
==============================================================================
--- head/misc/freeswitch-scripts-devel/distinfo	Thu Sep 20 20:43:09 2012	(r304598)
+++ head/misc/freeswitch-scripts-devel/distinfo	Thu Sep 20 21:09:41 2012	(r304599)
@@ -1,2 +1,2 @@
-SHA256 (freeswitch/freeswitch-1.2.1.tar.bz2) = 655fda7e37cae1c5ca1f7d789efcf008592904adc6eb9cdee72fc4bdc364c788
-SIZE (freeswitch/freeswitch-1.2.1.tar.bz2) = 37890105
+SHA256 (freeswitch/freeswitch-1.2.3.tar.bz2) = 13bc3fd76b6dbcccb5647ddd674cbd9b5273d397952a14ae37d9b0725cb1db4d
+SIZE (freeswitch/freeswitch-1.2.3.tar.bz2) = 41821905

Modified: head/net/freeswitch-core-devel/Makefile
==============================================================================
--- head/net/freeswitch-core-devel/Makefile	Thu Sep 20 20:43:09 2012	(r304598)
+++ head/net/freeswitch-core-devel/Makefile	Thu Sep 20 21:09:41 2012	(r304599)
@@ -6,14 +6,14 @@
 #
 
 PORTNAME=	freeswitch
-DISTVERSION=	1.2.1
+DISTVERSION=	1.2.3
 CATEGORIES=	net
 MASTER_SITES=	http://files.freeswitch.org/ \
 		http://files.freeswitch.org/downloads/libs/:2 \
 		http://download.zeromq.org/:3
 PKGNAMESUFFIX=	-core-devel
 DISTFILES=	${PORTNAME}-${DISTVERSION}.tar.bz2 \
-		opus-0.9.0.tar.gz:2 \
+		opus-1.0.1.tar.gz:2 \
 		celt-0.10.0.tar.gz:2 \
 		flite-1.5.4-current.tar.bz2:2 \
 		json-c-0.9.tar.gz:2 \

Modified: head/net/freeswitch-core-devel/distinfo
==============================================================================
--- head/net/freeswitch-core-devel/distinfo	Thu Sep 20 20:43:09 2012	(r304598)
+++ head/net/freeswitch-core-devel/distinfo	Thu Sep 20 21:09:41 2012	(r304599)
@@ -1,7 +1,7 @@
-SHA256 (freeswitch/freeswitch-1.2.1.tar.bz2) = 655fda7e37cae1c5ca1f7d789efcf008592904adc6eb9cdee72fc4bdc364c788
-SIZE (freeswitch/freeswitch-1.2.1.tar.bz2) = 37890105
-SHA256 (freeswitch/opus-0.9.0.tar.gz) = b2f75c4ac5ab837845eb028413fae2a28754bfb0a6d76416e2af1441ef447649
-SIZE (freeswitch/opus-0.9.0.tar.gz) = 1255227
+SHA256 (freeswitch/freeswitch-1.2.3.tar.bz2) = 13bc3fd76b6dbcccb5647ddd674cbd9b5273d397952a14ae37d9b0725cb1db4d
+SIZE (freeswitch/freeswitch-1.2.3.tar.bz2) = 41821905
+SHA256 (freeswitch/opus-1.0.1.tar.gz) = 80fa5c3caf2ac0fd68f8a22cce1564fc46b368c773a17554887d0066fe1841ef
+SIZE (freeswitch/opus-1.0.1.tar.gz) = 767241
 SHA256 (freeswitch/celt-0.10.0.tar.gz) = 147c5bc8c6a37b2ad2c8b8af17c91cb35494421ec9b68110018a4bcec72e45dc
 SIZE (freeswitch/celt-0.10.0.tar.gz) = 435953
 SHA256 (freeswitch/flite-1.5.4-current.tar.bz2) = e98c54307954f406ef59a354f9ec274436b95be53f785e27191f19569af0ed7e

Added: head/net/freeswitch-core-devel/files/patch-libs-spandsp-configure.ac
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/freeswitch-core-devel/files/patch-libs-spandsp-configure.ac	Thu Sep 20 21:09:41 2012	(r304599)
@@ -0,0 +1,10 @@
+--- libs/spandsp/configure.ac.orig	2012-09-19 16:28:24.349415841 +0200
++++ libs/spandsp/configure.ac	2012-09-19 16:28:37.991415791 +0200
+@@ -186,7 +186,6 @@
+ AC_CHECK_HEADERS([string.h])
+ AC_CHECK_HEADERS([strings.h])
+ AC_CHECK_HEADERS([malloc.h])
+-AC_CHECK_HEADERS([tgmath.h], [INSERT_TGMATH_HEADER="#include <tgmath.h>"])
+ AC_CHECK_HEADERS([math.h], [INSERT_MATH_HEADER="#include <math.h>"])
+ AC_CHECK_HEADERS([float.h])
+ AC_CHECK_HEADERS([fcntl.h])

Modified: head/net/freeswitch-core-devel/pkg-plist
==============================================================================
--- head/net/freeswitch-core-devel/pkg-plist	Thu Sep 20 20:43:09 2012	(r304598)
+++ head/net/freeswitch-core-devel/pkg-plist	Thu Sep 20 21:09:41 2012	(r304599)
@@ -60,6 +60,7 @@ include/freeswitch/switch_types.h
 include/freeswitch/switch_utils.h
 include/freeswitch/switch_xml.h
 include/freeswitch/switch_xml_config.h
+include/freeswitch/tpl.h
 %%MODFREETDM%%include/freetdm.h
 %%MODFREETDM%%include/ftdm_declare.h
 %%MODFREETDM%%include/ftdm_dso.h

Modified: head/net/freeswitch-vanilla-devel/Makefile
==============================================================================
--- head/net/freeswitch-vanilla-devel/Makefile	Thu Sep 20 20:43:09 2012	(r304598)
+++ head/net/freeswitch-vanilla-devel/Makefile	Thu Sep 20 21:09:41 2012	(r304599)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	freeswitch
-DISTVERSION=	1.2.1
+DISTVERSION=	1.2.3
 CATEGORIES=	net
 MASTER_SITES=	http://files.freeswitch.org/
 PKGNAMESUFFIX=	-${FREESWITCH_CONF_DIST}-devel

Modified: head/net/freeswitch-vanilla-devel/distinfo
==============================================================================
--- head/net/freeswitch-vanilla-devel/distinfo	Thu Sep 20 20:43:09 2012	(r304598)
+++ head/net/freeswitch-vanilla-devel/distinfo	Thu Sep 20 21:09:41 2012	(r304599)
@@ -1,2 +1,2 @@
-SHA256 (freeswitch/freeswitch-1.2.1.tar.bz2) = 655fda7e37cae1c5ca1f7d789efcf008592904adc6eb9cdee72fc4bdc364c788
-SIZE (freeswitch/freeswitch-1.2.1.tar.bz2) = 37890105
+SHA256 (freeswitch/freeswitch-1.2.3.tar.bz2) = 13bc3fd76b6dbcccb5647ddd674cbd9b5273d397952a14ae37d9b0725cb1db4d
+SIZE (freeswitch/freeswitch-1.2.3.tar.bz2) = 41821905
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Florian Smeets freebsd_committer 2012-09-20 22:13:26 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 7 dfilter service freebsd_committer 2012-09-22 00:21:03 UTC
Author: flo
Date: Fri Sep 21 23:20:52 2012
New Revision: 304645
URL: http://svn.freebsd.org/changeset/ports/304645

Log:
  - update net/freeswitch-devel to 1.2.3 (forgotten in r304599) [1]
  - minor cleanups to net/freeswitch-core-devel [2]
  
  PR:		ports/171781 [1]
  Submitted by:	Richard Neese <r.neese@gmail.com> (maintainer) [1], ohauer [2]
  Approved by:	maintainer [2]

Modified:
  head/net/freeswitch-core-devel/Makefile
  head/net/freeswitch-devel/Makefile

Modified: head/net/freeswitch-core-devel/Makefile
==============================================================================
--- head/net/freeswitch-core-devel/Makefile	Fri Sep 21 22:51:02 2012	(r304644)
+++ head/net/freeswitch-core-devel/Makefile	Fri Sep 21 23:20:52 2012	(r304645)
@@ -177,7 +177,7 @@ MODSAYNL_DESC=		Dutch Voice Propmts
 MODSAYPT_DESC=		Portuguese Voice Propmts
 MODSAYRU_DESC=		Russian Voice Propmts
 MODSAYTH_DESC=		Thai Voice Propmts
-MODSAYZH_DESC=		Chinese Voice Propmts"
+MODSAYZH_DESC=		Chinese Voice Propmts
 
 OPTIONS_DEFAULT=	REBOOTSTRAP MODABSTRACTION MODAVMD MODCALLCENTER MODCIDLOOKUP MODBLACKLIST MODCURL \
 			MODDISTRIBUTOR MODEASYROUTE MODFSK MODHTTAPI MODHTTPCACHE MODDIRECTORY MODLADSPA MODLCR MODMEMCACHE \
@@ -218,8 +218,8 @@ LIB_DEPENDS+=	vorbis:${PORTSDIR}/audio/l
 .endif
 
 .if ${PORT_OPTIONS:MMODPERL}
-LIB_DEPENDS+=	gdbm:${PORTSDIR}/databases/gdbm \
-		db:${PORTSDIR}/databases/db42
+USE_BDB=	42+
+LIB_DEPENDS+=	gdbm:${PORTSDIR}/databases/gdbm
 .endif
 
 .if ${PORT_OPTIONS:MMODERLANGEVENT}

Modified: head/net/freeswitch-devel/Makefile
==============================================================================
--- head/net/freeswitch-devel/Makefile	Fri Sep 21 22:51:02 2012	(r304644)
+++ head/net/freeswitch-devel/Makefile	Fri Sep 21 23:20:52 2012	(r304645)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	freeswitch
-PORTVERSION=	1.2.1
+PORTVERSION=	1.2.3
 CATEGORIES=	net
 MASTER_SITES=	# none
 PKGNAMESUFFIX=	-devel
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"